Bug 970592 - resourceId is rendered as decimal when requesting html content
resourceId is rendered as decimal when requesting html content
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
4.7
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.8
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 08:30 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:10:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-06-04 08:30:45 EDT
Description of problem:
This is a regression from one of current commits

Version-Release number of selected component (if applicable):
RHQ 4.8-master

How reproducible:always


have at least 1 platform imported
Steps to Reproduce:
1. open browser and navigate to /rest/resource/platforms.html
2.
3.

Actual results: resourceID (both href and text) is rendered this way: 11,674


Expected results: resourceID should be rendered as int


Additional info:
Comment 1 Heiko W. Rupp 2013-06-04 09:00:28 EDT
master d8058d4952
Comment 2 Heiko W. Rupp 2013-08-31 06:10:36 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.